'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var jsCore = require('@lorisleiva/js-core');
var web3_js = require('@solana/web3.js');

function fromWeb3JsPublicKey(publicKey) {
  return {
    bytes: publicKey.toBytes()
  };
}
function toWeb3JsPublicKey(publicKey) {
  return new web3_js.PublicKey(publicKey.bytes);
}
function toWeb3JsPublicKeyInput(input) {
  return jsCore.isPublicKey(input) ? toWeb3JsPublicKey(input) : input;
}

exports.fromWeb3JsPublicKey = fromWeb3JsPublicKey;
exports.toWeb3JsPublicKey = toWeb3JsPublicKey;
exports.toWeb3JsPublicKeyInput = toWeb3JsPublicKeyInput;
//# sourceMappingURL=PublicKey.cjs.map
