'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var web3_js = require('@solana/web3.js');
var TransactionMessage = require('./TransactionMessage.cjs');

function fromWeb3JsTransaction(transaction) {
  return {
    message: TransactionMessage.fromWeb3JsMessage(transaction.message),
    serializedMessage: transaction.message.serialize(),
    signatures: transaction.signatures
  };
}
function toWeb3JsTransaction(transaction) {
  return new web3_js.VersionedTransaction(TransactionMessage.toWeb3JsMessage(transaction.message), transaction.signatures);
}

exports.fromWeb3JsTransaction = fromWeb3JsTransaction;
exports.toWeb3JsTransaction = toWeb3JsTransaction;
//# sourceMappingURL=Transaction.cjs.map
