import { Keypair } from '@solana/web3.js';
import { fromWeb3JsPublicKey } from './PublicKey.mjs';

function fromWeb3JsKeypair(keypair) {
  return {
    publicKey: fromWeb3JsPublicKey(keypair.publicKey),
    secretKey: keypair.secretKey
  };
}
function toWeb3JsKeypair(keypair) {
  return new Keypair({
    publicKey: keypair.publicKey.bytes,
    secretKey: keypair.secretKey
  });
}

export { fromWeb3JsKeypair, toWeb3JsKeypair };
//# sourceMappingURL=Keypair.mjs.map
