import { isPublicKey } from '@lorisleiva/js-core';
import { PublicKey } from '@solana/web3.js';

function fromWeb3JsPublicKey(publicKey) {
  return {
    bytes: publicKey.toBytes()
  };
}
function toWeb3JsPublicKey(publicKey) {
  return new PublicKey(publicKey.bytes);
}
function toWeb3JsPublicKeyInput(input) {
  return isPublicKey(input) ? toWeb3JsPublicKey(input) : input;
}

export { fromWeb3JsPublicKey, toWeb3JsPublicKey, toWeb3JsPublicKeyInput };
//# sourceMappingURL=PublicKey.mjs.map
