import { VersionedTransaction } from '@solana/web3.js';
import { fromWeb3JsMessage, toWeb3JsMessage } from './TransactionMessage.mjs';

function fromWeb3JsTransaction(transaction) {
  return {
    message: fromWeb3JsMessage(transaction.message),
    serializedMessage: transaction.message.serialize(),
    signatures: transaction.signatures
  };
}
function toWeb3JsTransaction(transaction) {
  return new VersionedTransaction(toWeb3JsMessage(transaction.message), transaction.signatures);
}

export { fromWeb3JsTransaction, toWeb3JsTransaction };
//# sourceMappingURL=Transaction.mjs.map
